Page MenuHomePhabricator

Lazy-loaded pages are not enforcing upload restrictions on mobile
Closed, ResolvedPublic

Description

After you create an account, you can immediately perform an upload by editing a page and then clicking on the upload icon. In theory the upload icon should only be displayed to autoconfirmed users.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=62598

Details

Reference
bz68414

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:41 AM
bzimport set Reference to bz68414.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Jul 22 2014, 11:52 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/xDdjbp0x

Change 148560 had a related patch set uploaded by Kaldari:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148560

Change 148560 merged by jenkins-bot:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148560

Maybe we should think about to check permission to upload in PhotoApi.js, too?

Lupo added a comment.Jul 23 2014, 7:18 AM

@Ryan: when will this be live?

Change 148605 had a related patch set uploaded by Florianschmidtwelzow:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148605

when will this be live?

In actual status: on Commons with release of MW1.24wmf15, which will be deployed on at July, 29 2014. Maybe earlier if it will be deployed out of MW deployment, see: https://wikitech.wikimedia.org/wiki/SWAT_deploys.

@Lupo: I put it on the SWAT schedule so it should go out to Commons by the end of today.

Lupo added a comment.Jul 23 2014, 6:10 PM

Cool, thanks!

Change 148875 had a related patch set uploaded by MaxSem:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148875

Change 148605 merged by jenkins-bot:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148605

Change 148875 merged by jenkins-bot:
Making sure that upload rights are enforced on lazy-loaded pages

https://gerrit.wikimedia.org/r/148875

Lupo added a comment.Jul 27 2014, 5:26 PM

Just a little feedback. This fix has been live now for three days. It has further reduced newbie uploads through Mobile/Web by another 40-50% (compared to the July 10 first attempt at "autoconfirmed only"). Before Juy 24, we had about 80-90 (weekdays) to more than 100 (weekend) uploads, with roughtly 7-10% useful ones. Since July 24, when this went live, we have about 50 (weekdays) to 60 (weekend) newbie uploads, of which between 10-20% are useful.

Yes, I know three days is awfully short, and meaningful statistics cannot be gathered in such a short time. But the effect is very noticeable, especially regarding the volume.

Statistics are at

https://commons.wikimedia.org/wiki/Commons:Forum#A_propos_.22mobile_upload.22

Glad to hear it @Lupo!